using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using angGoGo.PhotoController;

namespace PhotoControllerWebDemo
{
	/// <summary>
	/// Summary description for gif
	/// </summary>
	public class gif : System.Web.UI.Page
	{
		private void Page_Load(object sender, System.EventArgs e)
		{
			Response.ContentType = "image/gif";

			angGoGo.PhotoController.Controller objpc = new Controller();
			System.Drawing.Image img = System.Drawing.Image.FromFile(Server.MapPath("..") + "\\PhotoControllerWebDemo\\Images\\source.gif");
			objpc.LoadImage(img);

			angGoGo.PhotoController.CompressionType ct= angGoGo.PhotoController.CompressionType.GifAdaptive;

			int param = Int32.Parse(Request.QueryString["methodid"]);
			uint quality = 256;
			switch (param)
			{
				case 0:
				{
					ct = CompressionType.GifAdaptive;
					break;
				}
				case 1:
				{
					ct = CompressionType.GifOctreeQuantizer;
					quality = 256;
					break;
				}
				case 2:
				{
					ct = CompressionType.GifOctreeQuantizer;
					quality = 128;
					break;
				}
				case 3:
				{
					ct = CompressionType.GifOctreeQuantizer;
					quality = 64;
					break;
				}
				case 4:
					ct = CompressionType.GifStandard256;
					break;
				case 5:
					ct = CompressionType.GifWebSafe;
					break;
			}

			img = objpc.Save(ct,quality,PhotoFormat.Gif,false);
			Bitmap b = new Bitmap(img);
			System.IO.MemoryStream oStream=new System.IO.MemoryStream();
			Response.ClearContent();
			b.Save(oStream,System.Drawing.Imaging.ImageFormat.Jpeg);
			Response.BinaryWrite(oStream.ToArray());
			objpc.Dispose();
			img.Dispose();
			b.Dispose();
			Response.End();
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);
		}
		#endregion
	}
}
