using System;

namespace PhotoControllerDemo
{
	/// <summary>
	/// Summary description for Helper.
	/// </summary>
	public sealed class Helper
	{
		static public void ShowError(string msg) 
		{
			System.Windows.Forms.MessageBox.Show( msg,"Application Error Message",System.Windows.Forms.MessageBoxButtons.OK,System.Windows.Forms.MessageBoxIcon.Error);
		}

		static public void ShowOK(string msg)
		{
			System.Windows.Forms.MessageBox.Show( msg,"Application Successful Message",System.Windows.Forms.MessageBoxButtons.OK,System.Windows.Forms.MessageBoxIcon.Information);
		}

		static public bool Ask(string msg)
		{
			if (System.Windows.Forms.MessageBox.Show(msg,"Application Prompt Message",System.Windows.Forms.MessageBoxButtons.YesNo,System.Windows.Forms.MessageBoxIcon.Question)==System.Windows.Forms.DialogResult.Yes)
				return true;
			else
				return false;
		}
		
	}
}
